//////////////////////////////////////////////////////////////////////////
//
// Nano River Technologies
//
// File:         MiniBoard Include File (miniboard.h)
//
// Desciption:   This is include file for the MiniBoard. It contains types 
//               and constants that you can refer to in calling the tasks/functions.
//
// Revision:     Version 1.0
//
//////////////////////////////////////////////////////////////////////////

typedef enum 
{
	NANO_SUCCESS = 0,                   // Call was successful
	NANO_XACTION_FAILURE = 1,           // There was an error in the USB transaction
	NANO_HW_NOT_FOUND = 2,              // No hardware was found
	NANO_BAD_PARAMETER = 3,             // Bad or out of range paramters
	NANO_IIC_PROTOCOL_ERROR = 4         // There was an error discovered in the IIC transfer, for example an ACK error
} NANO_RESULT;

typedef enum 
{
	NANO_IIC_FREQ_FAST = 0,            // 400kbit/s
	NANO_IIC_FREQ_200KHZ = 1,          // 200kbit/s
	NANO_IIC_FREQ_STD = 2,             // 100kbit/s
	NANO_IIC_FREQ_80KHZ = 3,           //  80kbit/s
	NANO_IIC_FREQ_60KHZ = 4,           //  60kbit/s
	NANO_IIC_FREQ_40KHZ = 5,           //  40kbit/s
	NANO_IIC_FREQ_20KHZ = 6,           //  20kbit/s
	NANO_IIC_FREQ_10KHZ = 7            //  10kbit/s
} NANO_IIC_FREQ;

typedef enum 
{
	NANO_SPI_FREQ_400KHZ = 0,
	NANO_SPI_FREQ_200KHZ = 1,
	NANO_SPI_FREQ_100KHZ = 2,
	NANO_SPI_FREQ_80KHZ = 3,
	NANO_SPI_FREQ_60KHZ = 4,
	NANO_SPI_FREQ_40KHZ = 5,
	NANO_SPI_FREQ_20KHZ = 6,
	NANO_SPI_FREQ_10KHZ = 7,
	NANO_SPI_FREQ_4KHZ = 8,
	NANO_SPI_FREQ_2KHZ = 9,
	NANO_SPI_FREQ_1KHZ = 10,
} NANO_SPI_FREQ;

typedef enum 
{
	NANO_SPI_CHIPSELECT_CS = 0,
	NANO_SPI_CHIPSELECT_GPIO_0 = 1,
	NANO_SPI_CHIPSELECT_GPIO_1 = 2,
	NANO_SPI_CHIPSELECT_GPIO_2 = 3,
	NANO_SPI_CHIPSELECT_GPIO_3 = 4,
	NANO_SPI_CHIPSELECT_GPIO_4 = 5,
	NANO_SPI_CHIPSELECT_GPIO_5 = 6,
	NANO_SPI_CHIPSELECT_GPIO_6 = 7,
	NANO_SPI_CHIPSELECT_GPIO_7 = 8,
	NANO_SPI_CHIPSELECT_GPIO_8 = 9,
	NANO_SPI_CHIPSELECT_GPIO_9 = 10,
	NANO_SPI_CHIPSELECT_GPIO_10 = 11,
	NANO_SPI_CHIPSELECT_GPIO_11 = 12,
	NANO_SPI_CHIPSELECT_GPIO_12 = 13,
	NANO_SPI_CHIPSELECT_GPIO_13 = 14,
	NANO_SPI_CHIPSELECT_GPIO_14 = 15,
	NANO_SPI_CHIPSELECT_GPIO_15 = 16,
	NANO_SPI_CHIPSELECT_GPIO_16 = 17,
	NANO_SPI_CHIPSELECT_GPIO_17 = 18,
	NANO_SPI_CHIPSELECT_GPIO_18 = 19,
	NANO_SPI_CHIPSELECT_GPIO_19 = 20,
	NANO_SPI_CHIPSELECT_GPIO_20 = 21,
	NANO_SPI_CHIPSELECT_GPIO_21 = 22,
	NANO_SPI_CHIPSELECT_GPIO_22 = 23,
	NANO_SPI_CHIPSELECT_GPIO_23 = 24,
	NANO_SPI_CHIPSELECT_GPIO_24 = 25,
	NANO_SPI_CHIPSELECT_GPIO_25 = 26,
	NANO_SPI_CHIPSELECT_GPIO_26 = 27,
	NANO_SPI_CHIPSELECT_GPIO_27 = 28,
	NANO_SPI_CHIPSELECT_GPIO_28 = 29,
	NANO_SPI_CHIPSELECT_GPIO_29 = 30,
	NANO_SPI_CHIPSELECT_GPIO_30 = 31,
	NANO_SPI_CHIPSELECT_GPIO_31 = 32,
} NANO_SPI_CHIPSELECT;

typedef enum 
{
	NANO_SPI_CHIPSELECT_OFF = 0,
	NANO_SPI_CHIPSELECT_ACTIVE_LOW = 1,
	NANO_SPI_CHIPSELECT_ACTIVE_HIGH = 2,
} NANO_SPI_CHIPSELECT_ENABLE;

typedef struct
{
	BOOL List[128];
} DEV_LIST;



